extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Marca"
    - var ListadoCabecera = ["Marca", "Descripcion"]
    - var TamanoColeccion = "tMarcas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tMarca of tMarcas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tMarca})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tMarca.Codmarca }}
        td
            h6.text-nowrap {{ tMarca.Descripcion }}